Issue 112784 - bridges: ContextAdmin singleton
Summary: bridges: ContextAdmin singleton
Status: CLOSED FIXED
Alias: None
Product: udk
Classification: Code
Component: code (show other issues)
Version: DEV300m83
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: 4.0.0
Assignee: Stephan Bergmann
QA Contact: issues@udk
URL:
Keywords:
Depends on:
Blocks: 112782
  Show dependency tree
 
Reported: 2010-06-29 13:23 UTC by caolanm
Modified: 2010-10-06 14:22 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
like so (4.06 KB, patch)
2010-06-29 13:24 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-06-29 13:23:50 UTC
So, what goes wrong if we make the bridges ContextAdmin a well-behaved singleton
as attached ?

I've a unopkg install/list/deinstall loop under valgrind which doesn't trigger
any errors so far (when combined with the rest of this parents dependencies)
Comment 1 caolanm 2010-06-29 13:24:20 UTC
Created attachment 70289 [details]
like so
Comment 2 Stephan Bergmann 2010-06-29 14:14:18 UTC
looks harmless at first sight  ;)
Comment 3 Stephan Bergmann 2010-07-02 14:59:02 UTC
attached bridges.contextadmin.singleton.patch applied as
<http://hg.services.openoffice.org/cws/sb126/rev/930d64afebdb>; issue 63397 and
issue 63473 probably made ContextAdmin leak for good reason, but I could not
produce any problems so far, either (checking on Solaris x86 and Sparc)
Comment 4 Stephan Bergmann 2010-07-15 09:26:03 UTC
.
Comment 5 Stephan Bergmann 2010-10-06 14:22:58 UTC
.